package p10_klasy.v4;

public class Dziedziczenie4_Zakupy {
    public static void main(String[] args) {
        Osoba[] osoby = {
                new Osoba("Ala", "Kowalska", 44),
                new Osoba("Ola", "Malinowska", 13),
                new Student("Adam", "Abacki", 20, "medycyna", 1),
                new StudentInformatyki("Karol", "Infobacki", 23, 3),
                new Pracownik("Jan", "Kowalski", 40, "kierowca", 3300),
        };

        System.out.println("Idziemy do sklepu...");
        Sklep sklep = new Sklep("Biedronka", 5);
        for(Osoba o : osoby) {
            sklep.sprzedajPiwo(o, 1);
        }
    }
}
